Subject: bug#77580: [PATCH] New command ediff-undo

From: "Paul D. Nelson" <[email-masked]>
Date: Wed, 09 Apr 2025 07:43:40 +0200

> Thanks for clarifying.  So your thought is that the first two bullet
> points in your original mail are covered by the command as-is?

Yes.  A key justification in my view is that these uses compound with
all commands (in Emacs or external) that substantially modify a buffer.

>>> Of your suggestions here, my first thought is that maybe C-x x g could
>>> start operating only on an active region, if there is one.  That seems
>>> like a great new feature.
>>
>> Yes, that sounds excellent.
>
> If you would be interested in working on that, I'd be very happy to
> review and shepherd the change.

Thanks, sounds good (although happy if others want to try, too).  A
related idea is to make vc-diff restrict to hunks in the active region
(in the "without arg" case).  Does that sound to you like a good change?